DNF5-BUILDDEP(8)

NAME
dnf5-builddep - Builddep Command

SYNOPSIS

dnf5 builddep [options] [<package>...]

DESCRIPTION

Install missing dependencies for building an RPM package.

Warning:
        Build dependencies in a source package (i.e. src.rpm) might be different than you would expect because dependencies were evaluated according macros set on the package build host.

Warning:
        Because build dependency information is only available in source packages, the dnf5 builddep command ignores enabled=0 on the source repositories matching the naming convention <#repo-names-label>.

OPTIONS

    -D "macro expr", --define="macro expr"
        Define a rpm macro. Set the value "expr" to the macro "macro" when parsing spec files. Does not apply for source rpm files.

    --with=OPTION, --without=OPTION
        Enable or disable conditional build OPTION when parsing spec files. Does not apply for source rpm files.

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --skip-unavailable
        Allow skipping packages that are not possible to downgrade. All remaining packages will be downgraded.

    --allow-downgrade
        Enable downgrade of dependencies when resolving the requested operation.

    --no-allow-downgrade
        Disable downgrade of dependencies when resolving the requested operation.

    --from-repo=REPO_ID,...
        Packages (or their provides) explicitly specified on the command line will only be looked up in the specified repositories.
        These repositories are automatically enabled.
        Repository enabling and disabling still applies. Dependencies of these packages will be resolved from any enabled repository.

    --from-vendor=VENDOR,...
        List of vendors separated by commas or spaces. Globs are supported (e.g., --from-vendor='Fedora\ project, vendorA, vendorB*, vendorC').
        Packages (or their provides) explicitly specified on the command line will only be looked up from the specified vendors.
        The vendor change check is bypassed for these packages.
        The vendor is ignored or vendor change policies (if allow_vendor_change=0) will still be used for packages that satisfy dependencies.

    --spec
        Treat command line arguments following this option as spec files.

    --srpm
        Treat command line arguments following this option as source rpms.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

ARGUMENTS

    <package>
        Either path to .src.rpm, .nosrc.rpm or .spec file or package available in a repository.

EXAMPLES

    dnf builddep foobar.spec
        Install the needed build requirements, defined in the foobar.spec file.

    dnf builddep foobar-1.0-1.src.rpm
        Install the needed build requirements, defined in the foobar-1.0-1.src.rpm file.

    dnf builddep foobar-1.0-1
        Look up foobar-1.0-1 in enabled repositories and install build requirements for its source rpm.

    dnf builddep -D 'scl python27' python-foobar.spec
        Install the needed build requirements for the python27 SCL version of python-foobar.

    dnf builddep --without=selinux foobar.spec
        Install the needed build requirements except those for optional SELinux support.

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.